Index: main/waeup.kofa/branches/uli-zc-async/etc/debug.ini.in
===================================================================
--- main/waeup.kofa/branches/uli-zc-async/etc/debug.ini.in	(revision 8917)
+++ main/waeup.kofa/branches/uli-zc-async/etc/debug.ini.in	(revision 8919)
@@ -5,8 +5,8 @@
 
 [loggers]
-keys = root, wsgi
+keys = root, wsgi, async, async_trace
 
 [handlers]
-keys = console, accesslog
+keys = console, accesslog, asynclog, async_tracelog
 
 [formatters]
@@ -18,4 +18,18 @@
 [formatter_accesslog]
 format = %(message)s
+
+[handler_asynclog]
+class = FileHandler
+args = (os.path.join(r'${zope_conf:logfiles}', 'async.log'),
+        'a')
+level = INFO
+formatter = generic
+
+[handler_async_tracelog]
+class = FileHandler
+args = (os.path.join(r'${zope_conf:logfiles}', 'async_trace.log'),
+        'a')
+level = INFO
+formatter = generic
 
 [handler_console]
@@ -40,4 +54,16 @@
 handlers = accesslog
 qualname = wsgi
+propagate = 0
+
+[logger_async]
+level = INFO
+handlers = asynclog
+qualname = zc.async
+propagate = 0
+
+[logger_async_trace]
+level = INFO
+handlers = async_tracelog
+qualname = zc.async.trace
 propagate = 0
 
@@ -66,2 +92,3 @@
 # set the name of the zope.conf file
 zope_conf = %(here)s/zope.conf
+env_vars = ZC_ASYNC_UUID ${buildout:directory}/var/uuid1.txt
Index: main/waeup.kofa/branches/uli-zc-async/etc/deploy.ini.in
===================================================================
--- main/waeup.kofa/branches/uli-zc-async/etc/deploy.ini.in	(revision 8917)
+++ main/waeup.kofa/branches/uli-zc-async/etc/deploy.ini.in	(revision 8919)
@@ -5,8 +5,8 @@
 
 [loggers]
-keys = root, wsgi
+keys = root, wsgi, async, async_trace
 
 [handlers]
-keys = console, accesslog
+keys = console, accesslog, asynclog, async_tracelog
 
 [formatters]
@@ -23,4 +23,16 @@
 propagate = 0
 
+[logger_async]
+level = INFO
+handlers = asynclog
+qualname = zc.async
+propagate = 0
+
+[logger_async_trace]
+level = INFO
+handlers = async_tracelog
+qualname = zc.async.trace
+propagate = 0
+
 [handler_console]
 class = StreamHandler
@@ -35,4 +47,18 @@
 level = INFO
 formatter = accesslog
+
+[handler_asynclog]
+class = FileHandler
+args = (os.path.join(r'${zope_conf:logfiles}', 'async.log'),
+        'a')
+level = INFO
+formatter = generic
+
+[handler_async_tracelog]
+class = FileHandler
+args = (os.path.join(r'${zope_conf:logfiles}', 'async_trace.log'),
+        'a')
+level = INFO
+formatter = generic
 
 [formatter_generic]
@@ -59,2 +85,3 @@
 # set the name of the zope.conf file
 zope_conf = %(here)s/zope.conf
+env_vars = ZC_ASYNC_UUID ${buildout:directory}/var/uuid1.txt
Index: main/waeup.kofa/branches/uli-zc-async/etc/profile.ini.in
===================================================================
--- main/waeup.kofa/branches/uli-zc-async/etc/profile.ini.in	(revision 8917)
+++ main/waeup.kofa/branches/uli-zc-async/etc/profile.ini.in	(revision 8919)
@@ -6,8 +6,8 @@
 
 [loggers]
-keys = root, wsgi
+keys = root, wsgi, async, async_trace
 
 [handlers]
-keys = console, accesslog
+keys = console, accesslog, asynclog, async_tracelog
 
 [formatters]
@@ -24,4 +24,16 @@
 propagate = 0
 
+[logger_async]
+level = INFO
+handlers = asynclog
+qualname = zc.async
+propagate = 0
+
+[logger_async_trace]
+level = INFO
+handlers = async_tracelog
+qualname = zc.async.trace
+propagate = 0
+
 [handler_console]
 class = StreamHandler
@@ -36,4 +48,18 @@
 level = INFO
 formatter = accesslog
+
+[handler_asynclog]
+class = FileHandler
+args = (os.path.join(r'${zope_conf:logfiles}', 'async.log'),
+        'a')
+level = INFO
+formatter = generic
+
+[handler_async_tracelog]
+class = FileHandler
+args = (os.path.join(r'${zope_conf:logfiles}', 'async_trace.log'),
+        'a')
+level = INFO
+formatter = generic
 
 [formatter_generic]
@@ -65,2 +91,3 @@
 # set the name of the zope.conf file
 zope_conf = %(here)s/zope.conf
+env_vars = ZC_ASYNC_UUID ${buildout:directory}/var/uuid1.txt
Index: main/waeup.kofa/branches/uli-zc-async/etc/zeo1.ini.in
===================================================================
--- main/waeup.kofa/branches/uli-zc-async/etc/zeo1.ini.in	(revision 8917)
+++ main/waeup.kofa/branches/uli-zc-async/etc/zeo1.ini.in	(revision 8919)
@@ -5,8 +5,8 @@
 
 [loggers]
-keys = root, wsgi
+keys = root, wsgi, async, async_trace
 
 [handlers]
-keys = console, accesslog
+keys = console, accesslog, asynclog, async_tracelog
 
 [formatters]
@@ -23,4 +23,16 @@
 propagate = 0
 
+[logger_async]
+level = INFO
+handlers = asynclog
+qualname = zc.async
+propagate = 0
+
+[logger_async_trace]
+level = INFO
+handlers = async_tracelog
+qualname = zc.async.trace
+propagate = 0
+
 [handler_console]
 class = StreamHandler
@@ -35,4 +47,18 @@
 level = INFO
 formatter = accesslog
+
+[handler_asynclog]
+class = FileHandler
+args = (os.path.join(r'${zope_conf:logfiles}', 'zeo1_async.log'),
+        'a')
+level = INFO
+formatter = generic
+
+[handler_async_tracelog]
+class = FileHandler
+args = (os.path.join(r'${zope_conf:logfiles}', 'zeo1_async_trace.log'),
+        'a')
+level = INFO
+formatter = generic
 
 [formatter_generic]
@@ -61,2 +87,3 @@
 # set the name of the zope.conf file
 zope_conf = %(here)s/zope_zeo1.conf
+env_vars = ZC_ASYNC_UUID ${buildout:directory}/var/uuid1.txt
Index: main/waeup.kofa/branches/uli-zc-async/etc/zeo2.ini.in
===================================================================
--- main/waeup.kofa/branches/uli-zc-async/etc/zeo2.ini.in	(revision 8917)
+++ main/waeup.kofa/branches/uli-zc-async/etc/zeo2.ini.in	(revision 8919)
@@ -5,8 +5,8 @@
 
 [loggers]
-keys = root, wsgi
+keys = root, wsgi, async, async_trace
 
 [handlers]
-keys = console, accesslog
+keys = console, accesslog, asynclog, async_tracelog
 
 [formatters]
@@ -29,4 +29,16 @@
 formatter = generic
 
+[logger_async]
+level = INFO
+handlers = asynclog
+qualname = zc.async
+propagate = 0
+
+[logger_async_trace]
+level = INFO
+handlers = async_tracelog
+qualname = zc.async.trace
+propagate = 0
+
 [handler_accesslog]
 class = FileHandler
@@ -35,4 +47,18 @@
 level = INFO
 formatter = accesslog
+
+[handler_asynclog]
+class = FileHandler
+args = (os.path.join(r'${zope_conf:logfiles}', 'zeo2_async.log'),
+        'a')
+level = INFO
+formatter = generic
+
+[handler_async_tracelog]
+class = FileHandler
+args = (os.path.join(r'${zope_conf:logfiles}', 'zeo2_async_trace.log'),
+        'a')
+level = INFO
+formatter = generic
 
 [formatter_generic]
@@ -61,2 +87,3 @@
 # set the name of the zope.conf file
 zope_conf = %(here)s/zope_zeo2.conf
+env_vars = ZC_ASYNC_UUID ${buildout:directory}/var/uuid2.txt
Index: main/waeup.kofa/branches/uli-zc-async/etc/zope_zeo2.conf.in
===================================================================
--- main/waeup.kofa/branches/uli-zc-async/etc/zope_zeo2.conf.in	(revision 8917)
+++ main/waeup.kofa/branches/uli-zc-async/etc/zope_zeo2.conf.in	(revision 8919)
@@ -69,5 +69,5 @@
     cache-size 20MB
     # Uncomment to have a persistent disk cache
-    client ${zope_conf_zeo_1:filestorage}/zeo2_async
+    client ${zope_conf_zeo_2:filestorage}/zeo2_async
   </zeoclient>
 </zodb>