Index: main/waeup.kofa/trunk/src/waeup/kofa/university/api.txt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/university/api.txt	(revision 8738)
+++ main/waeup.kofa/trunk/src/waeup/kofa/university/api.txt	(revision 8920)
@@ -28,3 +28,3 @@
    :maxdepth: 1
 
-   courserefs.txt
+   certcourses.txt
Index: main/waeup.kofa/trunk/src/waeup/kofa/university/batching.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/university/batching.py	(revision 8738)
+++ main/waeup.kofa/trunk/src/waeup/kofa/university/batching.py	(revision 8920)
@@ -317,5 +317,5 @@
     def addEntry(self, obj, row, site):
         parent = self.getParent(row, site)
-        parent.addCourseRef(row['course'],
+        parent.addCertCourse(row['course'],
                             row['level'], row['mandatory'])
         return
@@ -323,4 +323,4 @@
     def delEntry(self, row, site):
         parent = self.getParent(row, site)
-        parent.delCourseRef(row['course'].code, row['level'])
-        return
+        parent.delCertCourse(row['course'].code, row['level'])
+        return
Index: main/waeup.kofa/trunk/src/waeup/kofa/university/catalog.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/university/catalog.py	(revision 8738)
+++ main/waeup.kofa/trunk/src/waeup/kofa/university/catalog.py	(revision 8920)
@@ -159,5 +159,5 @@
         self.title = context.course.title
         self.code = context.getCourseCode
-        self.type = 'Course Referrer'
+        self.type = 'Certificate Course'
 
 def search(query=None, view=None):
Index: main/waeup.kofa/trunk/src/waeup/kofa/university/certcourses.txt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/university/certcourses.txt	(revision 8920)
+++ main/waeup.kofa/trunk/src/waeup/kofa/university/certcourses.txt	(revision 8920)
@@ -0,0 +1,116 @@
+Certificate Courses
+*******************
+
+Courses are referred to by certificate courses.
+
+We can be sure, that when removing courses or referrers of them,
+other data will be handled in a way we expect. That is,
+
+* when we remove a course, we want all referrers to it be removed as
+  well
+
+* when we remove a referrer of a course, nothing else should be
+  touched but only this very referrer.
+
+
+As correct deletion of referrer needs support of catalogs (we lookup
+catalogs to find referrers), we need a fully blown ZODB here,
+including an instance of :class:`waeup.kofa.app.University`, as this is our
+`ISite` object where the catalogs are stored.
+
+We create a complete university tree, starting with a
+:class:`University` instance and going down to courses, certificats
+and course certificates:
+
+    >>> from waeup.kofa.app import University
+    >>> root = getRootFolder()
+    >>> root['app'] = University()
+
+We have to set the site, to enable proper working of catalogs and
+`IObjectRemoved` handlers:
+
+    >>> from zope.app.component.hooks import setSite
+    >>> setSite(root['app'])
+
+    >>> from zope.component import createObject
+    >>> faculty = createObject('waeup.Faculty')
+    >>> faculty.code = 'FAC'
+    >>> root['app']['faculties'].addFaculty(faculty)
+    >>> fac = root['app']['faculties']['FAC']
+
+    >>> dept = createObject('waeup.Department')
+    >>> dept.code = 'DEPT'
+    >>> root['app']['faculties']['FAC'].addDepartment(dept)
+
+    >>> course = createObject('waeup.Course')
+    >>> course.code = 'CRS1'
+    >>> fac['DEPT'].courses.addCourse(course)
+
+Now let's add another department, which will also hold a course:
+
+    >>> dept2 = createObject('waeup.Department')
+    >>> dept2.code = 'DEPT2'
+    >>> root['app']['faculties']['FAC'].addDepartment(dept2)
+
+    >>> course = createObject('waeup.Course')
+    >>> course.code = 'CRS2'
+    >>> fac['DEPT2'].courses.addCourse(course)
+
+Finally, we add a certificate with referrers (certificate courses) to
+the created courses:
+
+    >>> cert = createObject('waeup.Certificate')
+    >>> cert.code = 'CERT'
+    >>> fac['DEPT'].certificates.addCertificate(cert)
+
+    >>> fac['DEPT'].certificates['CERT'].addCertCourse(
+    ...   fac['DEPT'].courses['CRS1'])
+
+    >>> fac['DEPT'].certificates['CERT'].addCertCourse(
+    ...   fac['DEPT2'].courses['CRS2'])
+
+We add the latter course again, but this time for the second level:
+
+    >>> fac['DEPT'].certificates['CERT'].addCertCourse(
+    ...   fac['DEPT2'].courses['CRS2'], level=200)
+
+So, we have three referrers in our certificate of two different
+courses stored somewhere in the application:
+
+    >>> list(fac['DEPT'].certificates['CERT'])
+    [u'CRS1_100', u'CRS2_100', u'CRS2_200']
+
+Both, the courses themselves and the referrers of them, are the same
+(not only equal):
+
+    >>> a = root['app']['faculties']['FAC']['DEPT']
+    >>> b1 = a.courses['CRS1']
+    >>> b2 = a.certificates['CERT']['CRS1_100'].course
+    >>> b1 is b2
+    True
+
+If we remove the course, also the select item in the certificate course
+will be gone:
+
+    >>> list(a.certificates['CERT'])
+    [u'CRS1_100', u'CRS2_100', u'CRS2_200']
+
+    >>> list(a.courses)
+    [u'CRS1']
+
+    >>> del root['app']['faculties']['FAC']['DEPT'].courses['CRS1']
+    >>> list(a.certificates['CERT'])
+    [u'CRS2_100', u'CRS2_200']
+
+    >>> list(a.courses)
+    []
+
+If we remove a referrer of a course, this will not touch the course
+nor other referrers:
+
+    >>> del fac['DEPT'].certificates['CERT']['CRS2_200']
+    >>> list(a.certificates['CERT'])
+    [u'CRS2_100']
+
+    >>> list(fac['DEPT2'].courses)
+    [u'CRS2']
Index: main/waeup.kofa/trunk/src/waeup/kofa/university/certificate.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/university/certificate.py	(revision 8738)
+++ main/waeup.kofa/trunk/src/waeup/kofa/university/certificate.py	(revision 8920)
@@ -63,6 +63,6 @@
         return "%s (%s)" % (self.title,self.code)
 
-    def addCourseRef(self, course, level=100, mandatory=True):
-        """Add a course referrer.
+    def addCertCourse(self, course, level=100, mandatory=True):
+        """Add a certificate course.
         """
         code = "%s_%s" % (course.code, level)
@@ -72,6 +72,6 @@
         self._p_changed = True
 
-    def delCourseRef(self, code, level=None):
-        """Delete a course referrer denoted by its code.
+    def delCertCourse(self, code, level=None):
+        """Delete a certificate course denoted by its code.
         """
         keys = list(self.keys()) # create list copy
Index: main/waeup.kofa/trunk/src/waeup/kofa/university/certificate.txt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/university/certificate.txt	(revision 8738)
+++ main/waeup.kofa/trunk/src/waeup/kofa/university/certificate.txt	(revision 8920)
@@ -96,19 +96,19 @@
       .. XXX: This is not a proper description
 
-   .. method:: addCourseRef(course[, level=100,[ mandatory=True]])
-
-      Add a referrer of a course. A course is an object implementing
+   .. method:: addCertCourse(course[, level=100,[ mandatory=True]])
+
+      Add a certificate course. A course is an object implementing
       :class:`waeup.kofa.interfaces.ICourse`.
 
-      Please don't be confused by the term 'referrer'. As course objects 
-      will normaly be  stored
-      in a department, the course referrer refers to 
+      Please don't be confused by the term 'certificate course'.
+      As course objects will normaly be  stored
+      in a department, the certificate course refers to
       the 'real' course in the department container.
 
-   .. method:: delCourseRef(code)
-
-      Remove a course referrer from a certificate.
-
-      The referrer must be given by its code number.
+   .. method:: delCertCourse(code)
+
+      Remove a certificate course from a certificate.
+
+      The certificate course must be given by its code number.
 
 :class:`CertificateCourse`
@@ -117,12 +117,12 @@
 .. class:: CertificateCourse(course[, level=100[, mandatory=True]])
 
-   Create a course referrer.
-
-   A certificate course (old term) or course referrer are held in
+   Create a certificate course.
+
+   A certificate course are held in
    certificates and refer to an existing :class:`Course` instance held
    elsewhere.
 
-   A certificate can require several course referrers and one
-   course referrer can be required by several certificates.
+   A certificate can require several certificate courses and one
+   certificate course can be required by several certificates.
 
    .. attribute:: course
@@ -225,5 +225,5 @@
 
    To accomplish that, the parents of the removed course are looked up
-   for a certifcate container which contains a course referrer that
+   for a certifcate container which contains a certificate course that
    refers to the deleted course.
 
@@ -341,5 +341,5 @@
     >>> mycert.code = 'MYCERT'
     >>> mydept.certificates.addCertificate(mycert)
-    >>> mycert.addCourseRef(mycourse)
+    >>> mycert.addCertCourse(mycourse)
 
     >>> transaction.commit()
@@ -354,5 +354,5 @@
     ['mydept']
 
-The course referrer we stored in the certificate is indeed a
+The certificate course we stored in the certificate is indeed a
 referrer of the course, not a copy of it:
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/university/course.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/university/course.py	(revision 8738)
+++ main/waeup.kofa/trunk/src/waeup/kofa/university/course.py	(revision 8920)
@@ -78,5 +78,5 @@
         # Remove that referrer...
         cert = certcourse.__parent__
-        cert.delCourseRef(code)
+        cert.delCertCourse(code)
         cert._p_changed = True
     return
Index: main/waeup.kofa/trunk/src/waeup/kofa/university/courserefs.txt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/university/courserefs.txt	(revision 8738)
+++ 	(revision )
@@ -1,116 +1,0 @@
-Course referrers
-****************
-
-Courses are referred to by certificate courses.
-
-We can be sure, that when removing courses or referrers of them,
-other data will be handled in a way we expect. That is,
-
-* when we remove a course, we want all referrers to it be removed as
-  well
-
-* when we remove a referrer of a course, nothing else should be
-  touched but only this very referrer.
-
-
-As correct deletion of referrer needs support of catalogs (we lookup
-catalogs to find referrers), we need a fully blown ZODB here,
-including an instance of :class:`waeup.kofa.app.University`, as this is our
-`ISite` object where the catalogs are stored.
-
-We create a complete university tree, starting with a
-:class:`University` instance and going down to courses, certificats
-and course certificates:
-
-    >>> from waeup.kofa.app import University
-    >>> root = getRootFolder()
-    >>> root['app'] = University()
-
-We have to set the site, to enable proper working of catalogs and
-`IObjectRemoved` handlers:
-
-    >>> from zope.app.component.hooks import setSite
-    >>> setSite(root['app'])
-
-    >>> from zope.component import createObject
-    >>> faculty = createObject('waeup.Faculty')
-    >>> faculty.code = 'FAC'
-    >>> root['app']['faculties'].addFaculty(faculty)
-    >>> fac = root['app']['faculties']['FAC']
-
-    >>> dept = createObject('waeup.Department')
-    >>> dept.code = 'DEPT'
-    >>> root['app']['faculties']['FAC'].addDepartment(dept)
-
-    >>> course = createObject('waeup.Course')
-    >>> course.code = 'CRS1'
-    >>> fac['DEPT'].courses.addCourse(course)
-
-Now let's add another department, which will also hold a course:
-
-    >>> dept2 = createObject('waeup.Department')
-    >>> dept2.code = 'DEPT2'
-    >>> root['app']['faculties']['FAC'].addDepartment(dept2)
-
-    >>> course = createObject('waeup.Course')
-    >>> course.code = 'CRS2'
-    >>> fac['DEPT2'].courses.addCourse(course)
-
-Finally, we add a certificate with referrers (certificate courses) to
-the created courses:
-
-    >>> cert = createObject('waeup.Certificate')
-    >>> cert.code = 'CERT'
-    >>> fac['DEPT'].certificates.addCertificate(cert)
-
-    >>> fac['DEPT'].certificates['CERT'].addCourseRef(
-    ...   fac['DEPT'].courses['CRS1'])
-
-    >>> fac['DEPT'].certificates['CERT'].addCourseRef(
-    ...   fac['DEPT2'].courses['CRS2'])
-
-We add the latter course again, but this time for the second level:
-
-    >>> fac['DEPT'].certificates['CERT'].addCourseRef(
-    ...   fac['DEPT2'].courses['CRS2'], level=200)
-
-So, we have three referrers in our certificate of two different
-courses stored somewhere in the application:
-
-    >>> list(fac['DEPT'].certificates['CERT'])
-    [u'CRS1_100', u'CRS2_100', u'CRS2_200']
-
-Both, the courses themselves and the referrers of them, are the same
-(not only equal):
-
-    >>> a = root['app']['faculties']['FAC']['DEPT']
-    >>> b1 = a.courses['CRS1']
-    >>> b2 = a.certificates['CERT']['CRS1_100'].course
-    >>> b1 is b2
-    True
-
-If we remove the course, also the select item in the certificate course
-will be gone:
-
-    >>> list(a.certificates['CERT'])
-    [u'CRS1_100', u'CRS2_100', u'CRS2_200']
-
-    >>> list(a.courses)
-    [u'CRS1']
-
-    >>> del root['app']['faculties']['FAC']['DEPT'].courses['CRS1']
-    >>> list(a.certificates['CERT'])
-    [u'CRS2_100', u'CRS2_200']
-
-    >>> list(a.courses)
-    []
-
-If we remove a referrer of a course, this will not touch the course
-nor other referrers:
-
-    >>> del fac['DEPT'].certificates['CERT']['CRS2_200']
-    >>> list(a.certificates['CERT'])
-    [u'CRS2_100']
-
-    >>> list(fac['DEPT2'].courses)
-    [u'CRS2']
Index: main/waeup.kofa/trunk/src/waeup/kofa/university/interfaces.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/university/interfaces.py	(revision 8738)
+++ main/waeup.kofa/trunk/src/waeup/kofa/university/interfaces.py	(revision 8920)
@@ -286,5 +286,5 @@
     """
     course = schema.Choice(
-        title = _(u'Course Referrer'),
+        title = _(u'Course'),
         source = CourseSource(),
         readonly = True,
Index: main/waeup.kofa/trunk/src/waeup/kofa/university/tests/test_batching.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/university/tests/test_batching.py	(revision 8738)
+++ main/waeup.kofa/trunk/src/waeup/kofa/university/tests/test_batching.py	(revision 8920)
@@ -266,5 +266,5 @@
         self.department2.certificates['CRT'] = self.certificate
         self.course = Course(code='CRS')
-        self.department2.certificates['CRT'].addCourseRef(self.course)
+        self.department2.certificates['CRT'].addCertCourse(self.course)
         self.cert_course = self.certificate['CRS_100']
         self.department2.courses['CRS'] = self.course
Index: main/waeup.kofa/trunk/src/waeup/kofa/university/tests/test_export.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/university/tests/test_export.py	(revision 8738)
+++ main/waeup.kofa/trunk/src/waeup/kofa/university/tests/test_export.py	(revision 8920)
@@ -444,7 +444,7 @@
         self.dept1.certificates.addCertificate(self.cert2)
         self.dept2.certificates.addCertificate(self.cert3)
-        self.cert1.addCourseRef(self.course1, 100, True)
-        self.cert1.addCourseRef(self.course2, 400, False)
-        self.cert3.addCourseRef(self.course3, 100, False)
+        self.cert1.addCertCourse(self.course1, 100, True)
+        self.cert1.addCertCourse(self.course2, 400, False)
+        self.cert3.addCertCourse(self.course3, 100, False)
         self.certcourse1 = self.cert1['C1_100']
         self.certcourse2 = self.cert1['C2_400']
Index: main/waeup.kofa/trunk/src/waeup/kofa/university/tests/test_university.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/university/tests/test_university.py	(revision 8738)
+++ main/waeup.kofa/trunk/src/waeup/kofa/university/tests/test_university.py	(revision 8920)
@@ -33,5 +33,5 @@
 def test_suite():
     # collect doctests for university subpackage
-    suite = get_doctest_suite(['university/courserefs.txt',])
+    suite = get_doctest_suite(['university/certcourses.txt',])
     # add local unittests (actually only one)
     for testcase in [UniversitySubpackageTests,]: