Index: main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 8920)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 8921)
@@ -91,4 +91,17 @@
     return
 
+def translated_values(view):
+    lang = view.request.cookies.get('kofa.language')
+    for value in view.context.values():
+        value_dict = dict([i for i in value.__dict__.items()])
+        value_dict['mandatory_bool'] = value.mandatory
+        value_dict['mandatory'] = translate(str(value.mandatory), 'zope',
+            target_language=lang)
+        value_dict['carry_over'] = translate(str(value.carry_over), 'zope',
+            target_language=lang)
+        value_dict['automatic'] = translate(str(value.automatic), 'zope',
+            target_language=lang)
+        yield value_dict
+
 class StudentsBreadcrumb(Breadcrumb):
     """A breadcrumb for the students container.
@@ -710,14 +723,5 @@
     @property
     def translated_values(self):
-        lang = self.request.cookies.get('kofa.language')
-        for value in self.context.values():
-            value_dict = dict([i for i in value.__dict__.items()])
-            value_dict['mandatory'] = translate(str(value.mandatory), 'zope',
-                target_language=lang)
-            value_dict['carry_over'] = translate(str(value.carry_over), 'zope',
-                target_language=lang)
-            value_dict['automatic'] = translate(str(value.automatic), 'zope',
-                target_language=lang)
-            yield value_dict
+        return translated_values(self)
 
     @property
@@ -821,4 +825,8 @@
         datatable.need()
         return
+
+    @property
+    def translated_values(self):
+        return translated_values(self)
 
     @property
@@ -1787,4 +1795,8 @@
         return total_credits
 
+    @property
+    def translated_values(self):
+        return translated_values(self)
+
     @action(_('Add course ticket'))
     def addCourseTicket(self, **data):
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/studyleveleditpage.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/studyleveleditpage.pt	(revision 8920)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/studyleveleditpage.pt	(revision 8921)
@@ -22,9 +22,9 @@
   </thead>
   <tbody>
-    <tr tal:repeat="value context/values" class="gradeC">
+    <tr tal:repeat="value view/translated_values" class="gradeC">
        <td>
         <input type="checkbox" name="val_id"
   		  tal:attributes="value value/__name__"
-        tal:condition="not: value/mandatory" />
+        tal:condition="not: value/mandatory_bool" />
       </td>
       <td tal:content="value/semester">SEMESTER</td>
@@ -36,5 +36,5 @@
       <td tal:content="value/fcode">FACULTY</td>
       <td tal:content="value/credits">CREDITS</td>
-      <td tal:content="value/score">SCORE</td>
+      <td tal:content="value/score|nothing">SCORE</td>
       <td tal:content="value/carry_over">CO</td>
     </tr>
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/studylevelmanagepage.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/studylevelmanagepage.pt	(revision 8920)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/studylevelmanagepage.pt	(revision 8921)
@@ -46,5 +46,5 @@
       </thead>
       <tbody>
-        <tr tal:repeat="value context/values" class="gradeC">
+        <tr tal:repeat="value view/translated_values" class="gradeC">
           <td>
             <input type="checkbox" name="val_id"
@@ -60,5 +60,5 @@
           <td tal:content="value/credits">CREDITS</td>
           <td tal:content="value/mandatory">MANDATORY</td>
-          <td tal:content="value/score">SCORE</td>
+          <td tal:content="value/score|nothing">SCORE</td>
           <td tal:content="value/carry_over">CO</td>
           <td tal:content="value/automatic">AUTO</td>