Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/container.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/container.py	(revision 8992)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/container.py	(revision 8993)
@@ -51,7 +51,5 @@
     description_dict = {}
 
-    @property
-    def local_roles(self):
-        return []
+    local_roles = []
 
     def archive(self, app_ids=None):
Index: main/waeup.kofa/trunk/src/waeup/kofa/university/certificate.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/university/certificate.py	(revision 8992)
+++ main/waeup.kofa/trunk/src/waeup/kofa/university/certificate.py	(revision 8993)
@@ -36,13 +36,12 @@
     grok.implements(ICertificate, ICertificateAdd)
 
-    @property       # Make this method read_only and looking like an attr.
-    def local_roles(self):
-        return ['waeup.local.CourseAdviser100',
-                'waeup.local.CourseAdviser200',
-                'waeup.local.CourseAdviser300',
-                'waeup.local.CourseAdviser400',
-                'waeup.local.CourseAdviser500',
-                'waeup.local.CourseAdviser600',
-                ]
+    local_roles = [
+        'waeup.local.CourseAdviser100',
+        'waeup.local.CourseAdviser200',
+        'waeup.local.CourseAdviser300',
+        'waeup.local.CourseAdviser400',
+        'waeup.local.CourseAdviser500',
+        'waeup.local.CourseAdviser600',
+        ]
 
     def __init__(self, code=u'NA', title=u'Unnamed Certificate',
Index: main/waeup.kofa/trunk/src/waeup/kofa/university/department.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/university/department.py	(revision 8992)
+++ main/waeup.kofa/trunk/src/waeup/kofa/university/department.py	(revision 8993)
@@ -32,17 +32,16 @@
     grok.implements(IDepartment, IDepartmentAdd)
 
-    @property       # Make this method read_only and looking like an attr.
-    def local_roles(self):
-        return ['waeup.local.DepartmentManager',
-                'waeup.local.ClearanceOfficer',
-                'waeup.local.UGClearanceOfficer',
-                'waeup.local.PGClearanceOfficer',
-                'waeup.local.CourseAdviser100',
-                'waeup.local.CourseAdviser200',
-                'waeup.local.CourseAdviser300',
-                'waeup.local.CourseAdviser400',
-                'waeup.local.CourseAdviser500',
-                'waeup.local.CourseAdviser600',
-                ]
+    local_roles = [
+        'waeup.local.DepartmentManager',
+        'waeup.local.ClearanceOfficer',
+        'waeup.local.UGClearanceOfficer',
+        'waeup.local.PGClearanceOfficer',
+        'waeup.local.CourseAdviser100',
+        'waeup.local.CourseAdviser200',
+        'waeup.local.CourseAdviser300',
+        'waeup.local.CourseAdviser400',
+        'waeup.local.CourseAdviser500',
+        'waeup.local.CourseAdviser600',
+        ]
 
     # A simple counter for ids.
Index: main/waeup.kofa/trunk/src/waeup/kofa/university/faculty.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/university/faculty.py	(revision 8992)
+++ main/waeup.kofa/trunk/src/waeup/kofa/university/faculty.py	(revision 8993)
@@ -32,17 +32,16 @@
     grok.implements(IFaculty, IFacultyAdd)
 
-    @property       # Make this method read_only and looking like an attr.
-    def local_roles(self):
-        return ['waeup.local.DepartmentManager',
-                'waeup.local.ClearanceOfficer',
-                'waeup.local.UGClearanceOfficer',
-                'waeup.local.PGClearanceOfficer',
-                'waeup.local.CourseAdviser100',
-                'waeup.local.CourseAdviser200',
-                'waeup.local.CourseAdviser300',
-                'waeup.local.CourseAdviser400',
-                'waeup.local.CourseAdviser500',
-                'waeup.local.CourseAdviser600',
-                ]
+    local_roles = [
+        'waeup.local.DepartmentManager',
+        'waeup.local.ClearanceOfficer',
+        'waeup.local.UGClearanceOfficer',
+        'waeup.local.PGClearanceOfficer',
+        'waeup.local.CourseAdviser100',
+        'waeup.local.CourseAdviser200',
+        'waeup.local.CourseAdviser300',
+        'waeup.local.CourseAdviser400',
+        'waeup.local.CourseAdviser500',
+        'waeup.local.CourseAdviser600',
+        ]
 
     def __init__(self,